Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
LSN..::.Compare Method
LSN Class See Also

Compare two LSNs.

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#
    public static int Compare(
    	LSN lsn1,
    	LSN lsn2
    )

Visual Basic (Declaration)
    Public Shared Function Compare ( _
    	lsn1 As LSN, _
    	lsn2 As LSN _
    ) As Integer

Visual C++
    public:
    static int Compare(
    	LSN^ lsn1,
    	LSN^ lsn2
    )

#### Parameters

lsn1
  Type: BerkeleyDB..::.LSN
  The first LSN to compare

lsn2
  Type: BerkeleyDB..::.LSN
  The second LSN to compare

#### Return Value

0 if they are equal, 1 if lsn1 is greater than lsn2, and -1 if lsn1 is less than lsn2.

# See Also

LSN Class
BerkeleyDB Namespace